> For the complete documentation index, see [llms.txt](https://docs.bluefletch.com/bluefletch-enterprise/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bluefletch.com/bluefletch-enterprise/product-guides/bluefletch-launcher-for-windows/release-notes.md).

# Release Notes

### Release 1.0.34

#### Highlights

Support tool window. Configurable session timeout&#x20;

#### Details

* Support Tool Window: On the taskbar of Windows Launcher, there's a monitor icon that displays system info. This information includes: Service Desk, POS components, Network Info, and Computer Info.
* Session Timeout: In the config, there's a timer that tracks how long a computer has inactivity. The value is called "inactiveTimeInSeconds". After the amount of seconds that's set on the parameter, Launcher will either log out if "useSecondaryAuth" is set to none or lock the session if "useSecondaryAuth" is set to pin.&#x20;

### Release 1.0.31

#### Highlights

Updated app icons in the taskbar. Provisioned badge will work on different types of readers.

#### Details

* App Icon Update in the Taskbar: Every app that's opened has the app's logo with a white background in the taskbar. Exceptions include Calculator & Webpage shortcuts
* All types of readers should detect a provisioned badge:&#x20;

### Release 1.0.23

#### Highlights

Support for Microsoft Edge as a default login browser. Modification in Pin Creation Modal.

#### Details

* Support for Microsoft Edge as a default login browser using config field "authBrowser": "Chrome" and "Edge" can be used for the login browser, but if the browser isn't specified, Edge will be the default.
* Modification in Pin Creation Modal: After a user enters credentials, the "new pin" field is automatically selected so that the user can start typing. After typing the pin, the user can hit the tab key to go to the "confirm pin" field. Lastly, the user can hit the tab button once more and hit the enter key to finish login.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.bluefletch.com/bluefletch-enterprise/product-guides/bluefletch-launcher-for-windows/release-notes.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
